Heroku Paperclip AWS S3 NameError

“Heroku Paperclip AWS S3 NameError: The end of your error’s journey. Here is the solution!”

Are you also stumbled upon this error? Don’t worry it is not just you.

Just quickly your solution to this error is to add this to your Gemfile:

gem 'aws-sdk', '< 2.0'

Curious on what causes this Heroku Paperclip AWS S3 NameError?

This error is caused by the newer version of the gem which is not backwards compatible with the previous version. Thus, we have to specify the major version (2.0) in our Gemfile. You can read more about it here.

Discussions — No responses yet